Loading...
Searching...
No Matches
GlobalMovePointsOp< TreeT > Struct Template Reference

`#include <openvdb/points/impl/PointMoveImpl.h>`

## Classes

struct | CopyIterator

## Public Types

using | LeafT = typename TreeT::LeafNodeType
using | LeafArrayT = std::vector< LeafT * >
using | LeafManagerT = typename tree::LeafManager< TreeT >
using | AttributeArrays = std::vector< AttributeArray * >

## Public Member Functions

| GlobalMovePointsOp (LeafOffsetArray &offsetMap, LeafManagerT &sourceLeafManager, const Index attributeIndex, const GlobalPointIndexMap &moveLeafMap, const GlobalPointIndexIndices &moveLeafIndices)
void | operator() (LeafT &leaf, size_t idx) const

## Member Typedef Documentation

## AttributeArrays

template<typename TreeT >

using AttributeArrays = std::vector<AttributeArray*>

## LeafArrayT

template<typename TreeT >

using LeafArrayT = std::vector<LeafT*>

## LeafManagerT

template<typename TreeT >

using LeafManagerT = typename tree::LeafManager<TreeT>

## LeafT

template<typename TreeT >

using LeafT = typename TreeT::LeafNodeType

## Constructor & Destructor Documentation

## GlobalMovePointsOp()

template<typename TreeT >

GlobalMovePointsOp | ( | LeafOffsetArray & | offsetMap,
|  | LeafManagerT & | sourceLeafManager,
|  | const Index | attributeIndex,
|  | const GlobalPointIndexMap & | moveLeafMap,
|  | const GlobalPointIndexIndices & | moveLeafIndices
| ) |  |

inline

## Member Function Documentation

## operator()()

template<typename TreeT >

void operator() | ( | LeafT & | leaf,
|  | size_t | idx
| ) |  | const

inline